# RDS Encoder library

This repository contains the code for controlling a Pira.cz P164 RDS Encoder.
Both ethernet and USB are supported.

It can be used both as a library and as a CLI program.

## Status

Both Serial and TCP seem to work, but there has been no production use yet.

## CLI examples

### Read variable value

```
./sergio.py get PS
ONDAROSS
```

To make it machine readable, just use `--output json`

```
./sergio.py --output json get PS
{"variable": "PS", "value": "ONDAROSS"}
```

### Set the radiotext

```
./sergio.py set RT1 'www.ondarossa.info'
```

### Synchronize time and date

This assumes your computer has a correct time and date of course.

```
./sergio.py synctime Europe/Rome
```

You can also specify `--save` so that this is saved immediately.

### Dump everything

```
./sergio.py dump > dump.json
```


## Name

Dr. Pira teached us all to [call Sergio](https://www.fumettidellagleba.org/prodotti/scheda/47/11-) whenever
you have computer problems.

![dedication](dedication.webp)
